RagTime5StructManager::TabStop Struct Reference

a tabulation in RagTime 5/6 structures More...

`#include <RagTime5StructManager.hxx>`

## Public Member Functions

| TabStop ()
| constructor

## Public Attributes

float | m_position
| the position
int | m_type
| the type
uint16_t | m_leaderChar
| the unicode leader char

## Friends

std::ostream & | operator<< (std::ostream &o, TabStop const &tab)
| operator<<

## Detailed Description

a tabulation in RagTime 5/6 structures

## Constructor & Destructor Documentation

## TabStop()

RagTime5StructManager::TabStop::TabStop | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | TabStop const & | tab )

friend

operator<<

## Member Data Documentation

## m_leaderChar

uint16_t RagTime5StructManager::TabStop::m_leaderChar

the unicode leader char

Referenced by operator<<, RagTime5StructManager::readField(), and TabStop().

## m_position

float RagTime5StructManager::TabStop::m_position

the position

Referenced by operator<<, RagTime5StructManager::readField(), and TabStop().

## m_type

int RagTime5StructManager::TabStop::m_type

the type

Referenced by operator<<, RagTime5StructManager::readField(), and TabStop().

The documentation for this struct was generated from the following file:

- RagTime5StructManager.hxx